kotlin error when build or install

oh, i want share about my apps update to SDK 37 and eject to Bare workflow, i had error when i build or install debug

The Kotlin Gradle plugin was loaded multiple times in different subprojects, which is not supported and may break the build. 
This might happen in subprojects that apply the Kotlin plugins with the Gradle 'plugins { ... }' DSL if they specify explicit versions, even if the versions are equal.
Please add the Kotlin plugin to the common parent project or the root project, then remove the versions in the subprojects.
If the parent project does not need the plugin, add 'apply false' to the plugin line.

and it was notify me about the module which had that problem, it is a expo_error_recovery (ver not found in npm list) and react-native-webview (ver 8.1.1).
Both of it has a org.jetbrains.kotlin:kotlin-gradle-plugin in their build android/build.gradle, so based on suggestion i had to modify their build.gradle file.

  1. I comment all things which are related to kotlin in buildscript on both modules.
  2. i insert kotlin classpath in my android/build.gradle with exact version from both modules.
buildscript {
   dependencies {
    	classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:1.3.50"
   }
}
  1. i insert plugins in my android/app/build.gradle
plugins {
    id("kotlin-android") apply false
}

Then my apps success to build.
I hope it helps other which is have same problem.

But i have a question about this:

  1. Why expo_error_recovery automatically installed?
    Because my apps not using it, and if i check package.json there is nothing about that module.

  2. Why it has error??
    expo_error_recovery is module from expo, and react-native-webview from RN community is must installed module if we used webview.
    i think modify build.gradle from module folder it is not a good thing to do.

I also have this exact problem but it doesn’t seem like a great long term fix to be editing dependency files in case those files are updated. Is there anyone from Expo that can comment on this?